<?
if (!defined('SENTRA_HOME'))
define ('SENTRA_HOME','<?php echo SENTRA_HOME;?>');

If (!defined('DESIGNROOT')) {
	define ('DESIGNROOT',$wb->PROJECT['templatefull'].DIRECTORY_SEPARATOR);
	define ('DESIGNPATH',DESIGNROOT."substyles".DIRECTORY_SEPARATOR.$wb->PROJECT['SubDesign'].'/');
	define ('DESIGNVTD',DESIGNPATH . 'vtd/');
	define ('DESIGNREGCSS',DESIGNPATH . 'reg.css/');
	define ('DESIGNRENDERSCRIPTS',DESIGNROOT . 'render.scripts/');
	define ('DESIGNONLINESCRIPTS',DESIGNROOT . 'online.scripts/');
	define ('DESIGNREGJS',DESIGNROOT . 'reg.js/');
	define ('DESIGNREGJSEND',DESIGNROOT . 'reg.js.end/');
	define ('PAGINATIONCLASS',DESIGNROOT.'/online.scripts/vtd.pagination.php');
	define ('DESIGNTEMPLATES',DESIGNROOT.'/tpl/');
}

require(DESIGNROOT.'functions.php');

$jsScripts = STR_GetFileList(DESIGNROOT.'/js/','.js');
foreach ($jsScripts as $jsScript)
	{
	$wb->QUEUE_EXTERN->AddScriptFile(DESIGNROOT.'/js/'.$jsScript);
	}
$jsScripts = STR_GetFileList(DESIGNROOT.'/js.end/','.js');
foreach ($jsScripts as $jsScript)
	{
	$wb->QUEUE_EXTERN->AddEndScriptFile(DESIGNROOT.'/js.end/'.$jsScript);
	}
$jsScripts = STR_GetFileList(DESIGNROOT.'/js.end/','.jsc');
foreach ($jsScripts as $jsScript)
	{
	$s= file_get_contents(DESIGNROOT.'/js.end/'.$jsScript);
	$wb->QUEUE_EXTERN->AddEndScript($s);
	}
class Design {}
$Design = new Design;
$Design->SearchOnPage = ConvertToBool($wb->SEARCH_SETTINGS['SearchOnPage']);

## Init. Flag-Array for optional objects
$Design->RegJsFile['responsiveImg'] = false;
$Design->RegCss['paragraph-control']['css'] = false;

$Design->RegCss["stickybar"]["css"] = false; 

$Design->RegCss["button"] = array();
$Design->RegCss["button"]["basics"] = false; 
$Design->RegCss["button"]["default"] = false; 
$Design->RegCss["button"]["primary"] = false; 
$Design->RegCss["button"]["success"] = false; 
$Design->RegCss["button"]["info"] = false; 
$Design->RegCss["button"]["warning"] = false; 
$Design->RegCss["button"]["danger"] = false; 
$Design->RegCss["button"]["intern"] = false; 
$Design->RegCss["button"]["extern"] = false; 
$Design->RegCss["button"]["download"] = false; 
$Design->RegCss["button"]["back"] = false; 

$Design->RegCss["footersx"] = array();
$Design->RegCss["footersx"]["global"] = false; 
$Design->RegCss["footersx"]["tblbg"] = false; 

$Design->RegCss["form"] = array();
$Design->RegCss["form"]["core"] = false; 
$Design->RegCss["form"]["griddy"] = false; 
$Design->RegCss["form"]["labeloutside"] = false; 
$Design->RegCss["form"]["labelinside"] = false; 

$Design->RegCss["table"] = array();
$Design->RegCss["table"]["core"] = false; 
$Design->RegCss["table"]["common"] = false; 
$Design->RegCss["table"]["media"] = false; 

$Design->RegCss["pagination"]["css"] = false; 

$Design->RegCss["accordion"]["css"] = false; 

$Design->RegCss["wells"] = array();
$Design->RegCss["wells"]["basics"] = false; 
$Design->RegCss["wells"]["default"] = false; 
$Design->RegCss["wells"]["sticky"] = false; 
$Design->RegCss["wells"]["info"] = false; 
$Design->RegCss["wells"]["warning"] = false; 

$Design->RegCss["movetotop"]["css"] = false; 

$Design->RegCss["banderole"] = array();
$Design->RegCss["banderole"]["designleft"] = false; 
$Design->RegCss["banderole"]["designright"] = false; 
$Design->RegCss["banderole"]["right"] = false; 
$Design->RegCss["banderole"]["rightsmall"] = false; 
$Design->RegCss["banderole"]["left"] = false; 
$Design->RegCss["banderole"]["leftsmall"] = false; 

$Design->RegCss["tab"]["css"] = false; 

$Design->RegCss["modal"]["css"] = false; 

$Design->RegCss["contentslider"]["css"] = false; 

$Design->RegCss["sphighlight"]["css"] = false; 


$Design->ParaReplace = unserialize(file_get_contents(DESIGNREGCSS.'para.replace.dat'));
?>